Index: binary-improvements2/WebServer/WebServer.csproj
===================================================================
--- binary-improvements2/WebServer/WebServer.csproj	(revision 392)
+++ binary-improvements2/WebServer/WebServer.csproj	(revision 402)
@@ -11,5 +11,5 @@
     <AssemblyName>WebServer</AssemblyName>
     <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
-    <LangVersion>8</LangVersion>
+    <LangVersion>9</LangVersion>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
@@ -45,4 +45,8 @@
     <Reference Include="Assembly-CSharp-firstpass, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null">
       <HintPath>..\7dtd-binaries\Assembly-CSharp-firstpass.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="com.rlabrecque.steamworks.net, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null">
+      <HintPath>..\7dtd-binaries\com.rlabrecque.steamworks.net.dll</HintPath>
       <Private>False</Private>
     </Reference>
@@ -83,6 +87,17 @@
       <Private>False</Private>
     </Reference>
+    <Reference Include="Utf8Json, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null">
+      <HintPath>..\7dtd-binaries\Utf8Json.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="src\FileCache\AbstractCache.cs" />
+    <Compile Include="src\FileCache\DirectAccess.cs" />
+    <Compile Include="src\FileCache\InvalidateCachesCmd.cs" />
+    <Compile Include="src\FileCache\SimpleCache.cs" />
+    <Compile Include="src\LiveData\Animals.cs" />
+    <Compile Include="src\LiveData\EntityFilterList.cs" />
+    <Compile Include="src\LiveData\Hostiles.cs" />
     <Compile Include="src\ModApi.cs" />
     <Compile Include="src\UrlHandlers\ApiHandler.cs" />
@@ -90,19 +105,19 @@
     <Compile Include="src\WebAPI\AbsRestApi.cs" />
     <Compile Include="src\WebAPI\AbsWebAPI.cs" />
-    <Compile Include="src\WebAPI\ExecuteConsoleCommand.cs" />
-    <Compile Include="src\WebAPI\GetAllowedCommands.cs" />
-    <Compile Include="src\WebAPI\GetAnimalsLocation.cs" />
-    <Compile Include="src\WebAPI\GetHostileLocation.cs" />
-    <Compile Include="src\WebAPI\GetLandClaims.cs" />
-    <Compile Include="src\WebAPI\GetLog.cs" />
-    <Compile Include="src\WebAPI\GetPlayerInventories.cs" />
-    <Compile Include="src\WebAPI\GetPlayerInventory.cs" />
-    <Compile Include="src\WebAPI\GetPlayerList.cs" />
-    <Compile Include="src\WebAPI\GetPlayersLocation.cs" />
-    <Compile Include="src\WebAPI\GetPlayersOnline.cs" />
-    <Compile Include="src\WebAPI\GetServerInfo.cs" />
-    <Compile Include="src\WebAPI\GetStats.cs" />
-    <Compile Include="src\WebAPI\GetWebMods.cs" />
-    <Compile Include="src\WebAPI\GetWebUIUpdates.cs" />
+    <Compile Include="src\WebAPI\APIs\Animal.cs" />
+    <Compile Include="src\WebAPI\APIs\Command.cs" />
+    <Compile Include="src\WebAPI\APIs\GetLandClaims.cs" />
+    <Compile Include="src\WebAPI\APIs\GetPlayerInventories.cs" />
+    <Compile Include="src\WebAPI\APIs\GetPlayerInventory.cs" />
+    <Compile Include="src\WebAPI\APIs\GetPlayerList.cs" />
+    <Compile Include="src\WebAPI\APIs\GetPlayersLocation.cs" />
+    <Compile Include="src\WebAPI\APIs\GetPlayersOnline.cs" />
+    <Compile Include="src\WebAPI\APIs\Hostile.cs" />
+    <Compile Include="src\WebAPI\APIs\Log.cs" />
+    <Compile Include="src\WebAPI\APIs\ServerInfo.cs" />
+    <Compile Include="src\WebAPI\APIs\ServerStats.cs" />
+    <Compile Include="src\WebAPI\APIs\WebMods.cs" />
+    <Compile Include="src\WebAPI\APIs\WebUiUpdates.cs" />
+    <Compile Include="src\WebAPI\JsonCommons.cs" />
     <Compile Include="src\WebAPI\Null.cs" />
     <Compile Include="src\AssemblyInfo.cs" />
@@ -145,14 +160,4 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\7dtd-server-fixes\7dtd-server-fixes.csproj">
-      <Project>{81da7f87-1a66-4920-aada-6eaf1971f8d0}</Project>
-      <Name>7dtd-server-fixes</Name>
-      <Private>False</Private>
-    </ProjectReference>
-    <ProjectReference Include="..\MapRendering\MapRendering.csproj">
-      <Project>{a1847b5f-7bfc-4bcd-94aa-a6c9fb7e7c54}</Project>
-      <Name>MapRendering</Name>
-      <Private>False</Private>
-    </ProjectReference>
     <ProjectReference Include="..\SpaceWizards.HttpListener\SpaceWizards.HttpListener.csproj">
       <Project>{1c5368e1-a4cf-4580-86bb-dffb20ab682c}</Project>
